# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-08-14 20:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import flashbriefing.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Feed',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128)),
                ('uuid', models.CharField(default=flashbriefing.models.new_uuid, max_length=32)),
            ],
            options={
                'ordering': ('title',),
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=flashbriefing.models.new_uuid, max_length=32)),
                ('item_type', models.CharField(blank=True, choices=[('audio', 'Audio'), ('text', 'Text')], max_length=16)),
                ('title', models.CharField(max_length=255)),
                ('published_date', models.DateTimeField()),
                ('is_published', models.BooleanField(default=True)),
                ('audio_content', models.FileField(blank=True, help_text='The audio content should be 256kbps mono or stereo MP3.', upload_to=flashbriefing.models.audio_upload_path)),
                ('text_content', models.TextField(blank=True, help_text='Will be truncated to 4500 characters or less (at the nearest full sentence) by Amazon.')),
                ('display_url', models.URLField(blank=True)),
                ('feed', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='flashbriefing.Feed')),
            ],
            options={
                'ordering': ('-published_date',),
            },
        ),
    ]
